unit About;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Copyright: TLabel;
    OKButton: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation
uses Main, Splash;

{$R *.DFM}

procedure TAboutBox.FormCreate(Sender: TObject);
begin
ProductName.caption:=CProductName;
Version.caption:=CVersion;
Copyright.caption:='by Uberto Barbini';
end;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
close;
end;

procedure TAboutBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action := caFree;

end;

end.
 
